#
# Makefile for ALSA
# Copyright (c) 1999 by Jaroslav Kysela <perex@suse.cz>
#

EXTRA_CFLAGS := -I../../include

SUB_DIRS     :=
MOD_SUB_DIRS :=
ALL_SUB_DIRS :=

L_TARGET     := snd_hal2.a
M_OBJS	     :=
L_OBJS       :=
LX_OBJS      :=
MIX_OBJS     :=

ifeq ($(CONFIG_SND_HAL2),y)
  LX_OBJS += hal2.o
else
  ifeq ($(CONFIG_SND_HAL2),m)
    M_OBJS += snd-hal2.o
    MIX_OBJS += hal2.o
  endif
endif

include $(TOPDIR)/Rules.make

snd-hal2.o: hal2.o
	$(LD) $(LD_RFLAG) -r -o $@ hal2.o
